	program pecletflb
	real wij(100,100),wjk(100,100),xmin(2,100),xmax(2,100)
	real x(100),xmod(2,100),y(100)
*       the file "peclet.w" contains neural model parameters:
	open(1,file="peclet.w",status="old")	 
	read(1,*) ii,jj,kk
	do 10 i=1,ii
	  read(1,*) xmax(1,i),xmin(1,i),xmod(1,i)
10	continue
	do 20 i=1,kk
	  read(1,*) xmax(2,i),xmin(2,i),xmod(2,i)
20	continue
       	do 30 i=1,ii+1
	  read(1,*) (wij(i,j),j=1,jj)
30        continue
	do 40 j=1,jj+1
	  read(1,*) (wjk(j,k),k=1,kk)
40        continue
********************Input data**********************
*LIQUID PROPERTIES 					

*density kg/m3
	rol = 1140
*viscosity kg/m.s
	xmul = .003
*surface tension kg/s2
	sigl = .056
*superficial velocity m/s
	ul = .0027368

*GAS PROPERTIES
*density kg/m3
	rog = 1.2
*viscosity kg/m.s
	xmug = 1.1817e-05   
*superficial velocity m/s
	ug =.004    


*PARTICLE AND BED PROPERTIES
*equivalent grain diameter m
	dv = .005
*sphericity 
	phi =1.
*porosity 
	eps =.4
*column diameter m
	dc =.07            
********************************************
	frg=ug**2./9.81/dv
    	rel = dv * rol * ul / xmul
	spsa = 6. * (1. - eps) / phi / dv + 4. / dc
	dh = dv * (16. * eps**3. / 9. / 3.14 / (1. - eps)**2.)**.33333
	sb = spsa * dh / (1. - eps)
	stl=xmul*ul/rol/9.81/dv**2
	capl=xmul * ul / sigl
	eotv=rol*9.81*(dv*phi*eps/(1-eps))**2./sigl
	spsa = 6. * (1. - eps) / phi / dv + 4. / dc
	dh = dv * (16. * eps**3. / 9. / 3.14 / (1. - eps)**2.)**.33333
	sb = spsa * dh / (1. - eps)
	x(1)= frg
	x(2)=rel
	x(3)=sb
	x(4)=stl
	x(5)=capl
	x(6)=eotv
	write(6,*) (x(i),i=1,6)
	call fctreso(ii,jj,kk,wij,wjk,xmax,xmin,xmod,x,y)
*     Peclet number is y(1)		
	write(6,*) y(1)
	end
	subroutine fctreso(ii,jj,kk,wij,wjk,xmax,xmin,xmod,x,y)
	real wij(100,100),wjk(100,100),xmin(2,100),xmax(2,100)
	real x(100),u(100),h(100),s(100),xmod(2,100),y(100)
*       neural network equations:
	  do 100 i=1,ii
	  if (xmod(1,i).eq.0.) then
	    u(i)=(x(i)-xmin(1,i))/(xmax(1,i)-xmin(1,i))
	  else
	    u(i)=(log10(x(i))-xmin(1,i))/(xmax(1,i)-xmin(1,i))
	  endif
100       continue
	  u(ii+1)=1.
          do 110 j=1,jj
            h(j)=0.
            do 120 i=1,ii+1
120         h(j)=h(j)+wij(i,j)*u(i)
	
110       h(j)=1./(1.+exp(-h(j)))
          h(jj+1)=1.
          do 130 k=1,kk
            s(k)=0.
            do 140 j=1,jj+1
140         s(k)=s(k)+wjk(j,k)*h(j)
          s(k)=1./(1.+exp(-s(k)))
          y(k)=xmin(2,k)+s(k)*(xmax(2,k)-xmin(2,k))
          if(xmod(2,k).eq.1.) then
            y(k)=10.**(y(k))
          endif
130       continue 
	  return
          end
